# Asterisk Project : Asterisk 13 Function_CONFBRIDGE

Created by wikibot on Aug 08, 2014

# CONFBRIDGE()

### Synopsis

Set a custom dynamic bridge, user, or menu profile on a channel for the ConfBridge application using the same options defined in confbridge.conf.

### Description

---- Example 1 ----

In this example the custom set user profile on this channel will automatically be used by the ConfBridge app.

exten => 1,1,Answer()

exten => 1,n,Set(CONFBRIDGE(user,announce_join_leave)=yes)

exten => 1,n,Set(CONFBRIDGE(user,startmuted)=yes)

exten => 1,n,ConfBridge(1)

---- Example 2 ----

This example shows how to use a predefined user or bridge profile in confbridge.conf as a template for a dynamic profile. Here we make a admin/marked user out of the default_user profile that is already defined in confbridge.conf.

exten => 1,1,Answer()

exten => 1,n,Set(CONFBRIDGE(user,template)=default_user)

exten => 1,n,Set(CONFBRIDGE(user,admin)=yes)

exten => 1,n,Set(CONFBRIDGE(user,marked)=yes)

exten => 1,n,ConfBridge(1)

### Syntax

    CONFBRIDGE(type,option)

##### Arguments

- `type` - Type refers to which type of profile the option belongs too. Type can be `bridge`, `user`, or `menu`.
- `option` - Option refers to `confbridge.conf` option that is being set dynamically on this channel, or `clear` to remove already applied options from the channel.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538